#!/usr/bin/env python
# Tamito KAJIYAMA <18 September 2004>

# Usage: python setup.py build_ext -b . -t .

from distutils.core import setup, Extension

DESCRIPTION = """\
PolygloText is an experimental add-on script for Skencil (a.k.a.
Sketch) that makes it possible to draw multilingual text using
the functions of the m17n library."""

LICENSE = "GNU General Public License (version 2 or later)"

setup(name = "PolygloText",
      version = "1.0.1",
      description = "a Skencil script for drawing multilingual text",
      long_description = DESCRIPTION,
      author = "Tamito KAJIYAMA",
      author_email = "RD6T-KJYM@asahi-net.or.jp",
      url = "http://www.asahi-net.or.jp/~rd6t-kjym/sketch/",
      license = LICENSE, licence = LICENSE,
      platforms = ["Skencil"],
      ext_modules=[
          Extension("skm17nmodule", ["skm17nmodule.c"],
                    include_dirs=["/usr/include/freetype2"],
                    libraries=["m17n-core", "m17n", "m17n-gui", "freetype"])
          ])
